SCSI_GET_SENSE_INFO_(9)

NAME
scsi_get_sense_info_fld - get information field from sense data (either fixed or descriptor format)

SYNOPSIS

int scsi_get_sense_info_fld(const u8 * sense_buffer, int sb_len, u64 * info_out);

ARGUMENTS

sense_buffer
    byte array of sense data

sb_len
    number of valid bytes in sense_buffer

info_out
    pointer to 64 integer where 8 or 4 byte information field will be placed if found.

RETURN VALUE

1 if information field found, 0 if not found.

AUTHORS

James Bottomley <James.Bottomley@hansenpartnership.com>
    Author.

Rob Landley <rob@landley.net>
    Author.

COPYRIGHT